SDL_GPUTextureLocation Struct Reference

`#include <SDL_gpu.h>`

## Data Fields

SDL_GPUTexture * | texture
Uint32 | mip_level
Uint32 | layer
Uint32 | x
Uint32 | y
Uint32 | z

## Detailed Description

A structure specifying a location in a texture.

Used when copying data from one texture to another.

Since
  This struct is available since SDL 3.2.0.

See also
  SDL_CopyGPUTextureToTexture

Definition at line 1446 of file SDL_gpu.h.

## Field Documentation

## layer

Uint32 SDL_GPUTextureLocation::layer

The layer index of the location.

Definition at line 1450 of file SDL_gpu.h.

## mip_level

Uint32 SDL_GPUTextureLocation::mip_level

The mip level index of the location.

Definition at line 1449 of file SDL_gpu.h.

## texture

SDL_GPUTexture* SDL_GPUTextureLocation::texture

The texture used in the copy operation.

Definition at line 1448 of file SDL_gpu.h.

## x

Uint32 SDL_GPUTextureLocation::x

The left offset of the location.

Definition at line 1451 of file SDL_gpu.h.

## y

Uint32 SDL_GPUTextureLocation::y

The top offset of the location.

Definition at line 1452 of file SDL_gpu.h.

## z

Uint32 SDL_GPUTextureLocation::z

The front offset of the location.

Definition at line 1453 of file SDL_gpu.h.

The documentation for this struct was generated from the following file:

- SDL_gpu.h